Bug 1686721 - RHEL8: Include postfix-ldap package in AppStream repo [NEEDINFO]
Summary: RHEL8: Include postfix-ldap package in AppStream repo
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: postfix
Version: 8.0
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: rc
: 8.1
Assignee: Jaroslav Škarvada
QA Contact: kzilkova
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-08 06:39 UTC by Akshay Jain
Modified: 2019-11-05 22:37 UTC (History)
16 users (show)

Fixed In Version: postfix-3.3.1-9.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 22:37:07 UTC
Type: Bug
Target Upstream Version:
tmlcoch: needinfo? (snagar)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:3671 None None None 2019-11-05 22:37:10 UTC
Red Hat Knowledge Base (Solution) 4248421 Troubleshoot None Postfix doesn't support LDAP lookup tables 2019-06-26 11:52:18 UTC

Comment 1 Jaroslav Škarvada 2019-03-08 09:27:35 UTC
It's dynamically loaded as a plugin, so ldd postfix will not show the library. It requires postfix-ldap package, which doesn't seem to be included in RHEL-8.

Comment 7 Tomas Mlcoch 2019-03-20 07:59:13 UTC
What is the desired target release? Is 8.1 fine or is this a blocker for 8.0 GA?

Comment 10 Robert Theisen 2019-07-22 15:36:16 UTC
Please check the ldd output of /lib/libexec/postfix/smtpd

The stock "postfix" binary does not link to the ldap library, but the smtpd binary does.

 ~]# ldd /usr/libexec/postfix/smtpd
	linux-vdso.so.1 =>  (0x00007fff733fb000)
	libldap-2.4.so.2 => /lib64/libldap-2.4.so.2 (0x00007fae58d84000)
	liblber-2.4.so.2 => /lib64/liblber-2.4.so.2 (0x00007fae58b75000)
	libpcre.so.1 => /lib64/libpcre.so.1 (0x00007fae58913000)
	libmysqlclient.so.18 => /usr/lib64/mysql/libmysqlclient.so.18 (0x00007fae58413000)
	libm.so.6 => /lib64/libm.so.6 (0x00007fae58111000)
	libsasl2.so.3 => /lib64/libsasl2.so.3 (0x00007fae57ef4000)
	libssl.so.10 => /lib64/libssl.so.10 (0x00007fae57c82000)
	libcrypto.so.10 => /lib64/libcrypto.so.10 (0x00007fae57821000)
	libdb-5.3.so => /lib64/libdb-5.3.so (0x00007fae57463000)
	libnsl.so.1 => /lib64/libnsl.so.1 (0x00007fae57249000)
	libresolv.so.2 => /lib64/libresolv.so.2 (0x00007fae57030000)


The spec file for rhel8 postfix also include ldap support in the stock build.

[trobert@trobert joe]$ grep -A2 ldap postfix.spec 
%bcond_without ldap
%bcond_without pcre
%bcond_without sasl
--
%{?with_ldap:BuildRequires: openldap-devel}
%{?with_sasl:BuildRequires: cyrus-sasl-devel}
%{?with_pcre:BuildRequires: pcre-devel}
--
%if %{with ldap}
%package ldap
Summary: Postfix LDAP map support
Requires: %{name} = %{epoch}:%{version}-%{release}
--
%description ldap
This provides support for LDAP maps in Postfix. If you plan to use LDAP
maps with Postfix, you need this.
--
%if %{with ldap}
  CCARGS="${CCARGS} -DHAS_LDAP -DLDAP_DEPRECATED=1 %{?with_sasl:-DUSE_LDAP_SASL}"
  AUXLIBS_LDAP="-lldap -llber"
%endif
%if %{with pcre}
--
%{?with_cdb:cdb} %{?with_ldap:ldap} %{?with_pcre:pcre}; do
  rm -f dynamicmaps.cf.d/"$map" "postfix-files.d/$map"
  split_file "^\s*$map\b" "$map" dynamicmaps.cf
--
%exclude %{_mandir}/man5/ldap_table.5*
%exclude %{postfix_doc_dir}/README_FILES/LDAP_README
%exclude %{_mandir}/man5/pcre_table.5*
--
%if %{with ldap}
%files ldap
%attr(0644, root, root) %{postfix_config_dir}/dynamicmaps.cf.d/ldap
%attr(0644, root, root) %{postfix_config_dir}/postfix-files.d/ldap
%attr(0755, root, root) %{postfix_shlib_dir}/postfix-ldap.so
%attr(0644, root, root) %{_mandir}/man5/ldap_table.5*
%attr(0644, root, root) %{postfix_doc_dir}/README_FILES/LDAP_README
%endif
--
- Compiled with USE_LDAP_SASL if both "ldap" and "sasl" options are enabled.
  Patch provided by Davide Principi <davide.principi@nethesis.it>
  Resolves: rhbz#1052958
--
- added option LDAP_DEPRECATED to support deprecated ldap functions for now
- fixed build without pflogsumm support (#188470)

--
- remove hard requirement on openldap, library dependencies take care of it
- redirect %%postun to /dev/null
- don't remove the postfix user and group when the package is removed

Comment 20 errata-xmlrpc 2019-11-05 22:37:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:3671


Note You need to log in before you can comment on or make changes to this bug.